# From http://modwsgi.readthedocs.io/en/develop/user-guides/configuration-guidelines.html
def application(environ, start_response):
    status = '501 NOT IMPLEMENTED'
    output = b'<h1>WSGI application missing</h1><p>Please upload a build by running <code>juju attach wsgi-app build=myapplication.tar.gz</code>.</p>'

    response_headers = [
        ('Content-type', 'text/html'),
        ('Content-Length', str(len(output)))
    ]
    start_response(status, response_headers)

    return [output]

